#include <bits/stdc++.h>
using namespace std;

int main() {

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n, v;
    cin>>n>>v;
    int niz[n];
    for(int i = 0; i<n; i++){
        cin>>niz[i];
    }
    int i = 0;
    while(i<n){
        if(niz[i]<=v){
            cout<<i+1;
            break;
        }
        i++;
    }
    if(i==n){
        cout<<-1;
    }
    return 0;
}